<div class="modal fade bs-example-modal-lg" id="myModal_cliente" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog " role="document">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
				<h4 class="modal-title" id="myModalLabel">Buscar Cliente</h4>
			</div>
			<div class='formdedatos'>
				<div class="modal-body">
					<div class="input-group">
		                <input [focus]='true' type="text" class="form-control input-sm" id="nombrecliente" placeholder="Codigo o Nombre" onkeyup="load_cliente(1)" autocomplete="off" >
		                <span class="input-group-addon">
		                    <a href="#" onclick="limpiar_campos()" type='button'><i class="btn-icon-only icon-remove"></i> Limpiar</a>
		                </span> 
	            	</div>
	            	</br>
            		<div id="loader" style="position: absolute; text-align: center; top: 55px;  width: 100%;display:none;"></div>
					<div class="mostrardatos" > </div>
	            </div>
			</div>
		</div>
	</div>
</div>
<script>
$('#myModal_cliente').on('shown.bs.modal', function() {
    $("#nombrecliente").focus();
});

function limpiar_campos() 
{
	$('input[type="text"]').val('');
	load_cliente(1);
	$("#nombrecliente").focus();
}

function load_cliente(page){
    var nombrecliente= $("#nombrecliente").val();
    $("#loader").fadeIn('slow');
    $.ajax({
        url:'./php_buscador/cliente_venta.php?action=ajax&page='+page+'&nombrecliente='+nombrecliente,
        beforeSend: function(objeto){
        $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
    },
    success:function(data){
        $(".mostrardatos").html(data).fadeIn('slow');
        $('#loader').html('');
    }
    })
}
</script> 